<?php
class CnrsBridge extends FeedExpander {

	const MAINTAINER = 'Yan';
	const NAME = 'CNRS le journal';
	const URI = 'https://lejournal.cnrs.fr/';
	const DESCRIPTION = 'Returns the newest articles.';

	protected function parseItem($item){
		$item = parent::parseItem($item);

		$article_html = getSimpleHTMLDOMCached($item['uri']);
		if(!$article_html) {
			$item['content'] = 'Could not request CNRS le journal : ' . $item['uri'];
			return $item;
		}

		$article_image = '';
		foreach ($article_html->find('div.niveau-2 img') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->src;
				break;
			}
		}

		$article_content = '';
		if ($article_image) {
			$article_content = '<p><img src="' . $article_image . '" /></p>';
		}
        $article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.embed', 0)->innertext
		);
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.niveau-2 div.content', 0)->innertext
		);
        $article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.chapo', 0)->innertext
		);
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.niveau-3', 0)->innertext
		);


		$article_content = stripWithDelimiters($article_content, '<script', '</script>');
		$article_content = stripWithDelimiters($article_content, '<span class="logo"', '</span>');
		$article_content = stripWithDelimiters($article_content, '<button', '</button>');
		$article_content = stripWithDelimiters($article_content, '<div class="image-content">', '</div>');
		$article_content = stripWithDelimiters($article_content, '<div class="image-copyright">', '</div>');
		$article_content = stripWithDelimiters($article_content, '<div class="left">Partager', '</div>');

		
		$item['content'] = $article_content;

		return $item;
	}

	public function collectData(){
		$feedUrl = self::URI . '/rss';
		$this->collectExpandableDatas($feedUrl);
	}
}
